.accordion {

    &__item {
        border-bottom: 1px solid #222;

        &.open {

            .accordion {

                &__header {
                    color: $pink;

                    &--icon {

                        &:after {
                            transform: rotate(360deg);
                            transition: .3s;
                        }
                    }
                }
            }
        }
    }

    &__header {
        padding: 26px 10px 26px 0;
        font-weight: 700;
        cursor: pointer;
        font-size: size-rel(16px);
        line-height: size-rel(20px);
        font-family: $font-family-primary;
        text-transform: uppercase;
        display: flex;
        align-items: center;
        justify-content: space-between;

        &--icon {
            width: 12px;
            height: 12px;
            font-size: 0;
            line-height: 0;
            flex-shrink: 0;
            transition: .3s;
            position: relative;

            &:after,
            &:before {
                top: calc(50% - 1px);
                left: calc(50% - 12px);
                z-index: 5;
                content: '';
                width: 12px;
                height: 2px;
                background: $white;
                position: absolute;
            }

            &:after {
                transform: rotate(90deg);
                transition: .3s;
            }
        }
    }

    &__content {
        color: #656464;
        font-size: size-rel(18px);
        line-height: size-rel(28px);

        &--wrap {
            padding: 0 0 40px 0;
        }
    }

    @include media-breakpoint-up(md) {

        &__item {
            margin-bottom: 15px;
        }

        &__header {
            padding: 34px 10px 35px 0;
        }
    }

    @include media-breakpoint-up(lg) {}

    @include media-breakpoint-up(xl) {
        display: grid;
        grid-template-columns: 1fr 1fr;
        grid-column-gap: 80px;
    }
    @include media-breakpoint-up(xxl) {
        grid-column-gap: 120px;
        margin-bottom: 20px;
    }
}


.accordion {

    &-content {
        overflow: hidden;
        max-height: 0;
        opacity: 0;
        will-change: max-height;
        transition: .3s;
    }

    &-item {

        &.open {

            .accordion-content {
                opacity: 1;
                transition: .3s;
            }
        }
    }
}
